(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('ga-to-button', ['exports', '@angular/core', '@angular/common'], factory) :
    (global = global || self, factory(global['ga-to-button'] = {}, global.ng.core, global.ng.common));
}(this, (function (exports, core, common) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/button.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonService = /** @class */ (function () {
        function ButtonService() {
        }
        ButtonService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        ButtonService.ctorParameters = function () { return []; };
        /** @nocollapse */ ButtonService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function ButtonService_Factory() { return new ButtonService(); }, token: ButtonService, providedIn: "root" });
        return ButtonService;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/button.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // [disabled]="loading"
    var ButtonComponent = /** @class */ (function () {
        function ButtonComponent() {
            this.disabled = false;
            this.width = 0;
            this.loading = false;
            this.accion = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        ButtonComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            console.log(this.width);
            if (this.width > 0) {
                this.AgregarWidth();
            }
        };
        /**
         * @return {?}
         */
        ButtonComponent.prototype.Click = /**
         * @return {?}
         */
        function () {
            this.loading = true;
            $('#button').addClass('disabled');
            this.accion.emit();
        };
        /**
         * @return {?}
         */
        ButtonComponent.prototype.Finalizo = /**
         * @return {?}
         */
        function () {
            this.loading = false;
            $('#button').removeClass('disabled');
        };
        /**
         * @return {?}
         */
        ButtonComponent.prototype.AgregarWidth = /**
         * @return {?}
         */
        function () {
            console.log(this.width, $('#button'));
            $('#button').css('min-width', this.width);
        };
        ButtonComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ga-to-button',
                        template: "\n  <button (click)=\"Click()\" #button id=\"button\" class=\"cssButton\" [disabled]=\"loading || disabled\"\n    [ngClass]=\"{'disabled': loading || disabled}\">\n    <div class='text'>\n      <div *ngIf=\"loading\" [ngClass]=\"{'button-indicator': texto.length > 0}\">\n        <i class=\"fas fa-sync-alt fa-pulse\"></i>\n      </div>\n      <div *ngIf=\"!loading && icon.length > 0\" [ngClass]=\"{'button-indicator': texto.length > 0}\">\n        <i [class]=\"icon\"></i>\n      </div>\n      <span>{{texto}}</span>\n    </div>\n  </button>\n  ",
                        styles: ["\n    .cssButton {\n      display: block;\n      border: 1px solid black;\n      margin: 5px;\n      padding: 5px;\n      width: max-content;\n      box-sizing: border-box;\n      font-weight: normal;\n      font-size: 14px;\n      font-family: 'Helvetica Neue', 'Segoe UI', Helvetica, Verdana, sans-serif;\n      cursor: pointer;\n      background-color: transparent;\n      border-color: #2d6da3;\n      color: #2d6da3;\n      border-radius: 4px;\n      border-width: 1px;\n      border-style: solid;\n    }\n\n    .cssButton:hover {\n      background-color: rgba(45,109,163,0.1);\n    }\n\n    .cssButton .text {\n      text-align: center;\n      padding: 1px 6px 1px;\n    }\n    .button-indicator {\n      float: left;\n      margin-right: 5px;\n      position: relative;\n      padding:0;\n    }\n\n    .disabled {\n      opacity: 0.5;\n      -webkit-user-select: none;\n      -moz-user-select: none;\n      -ms-user-select: none;\n      user-select: none;\n      -webkit-touch-callout: none;\n      zoom: 1;\n      cursor: default;\n    }\n    "]
                    }] }
        ];
        /** @nocollapse */
        ButtonComponent.ctorParameters = function () { return []; };
        ButtonComponent.propDecorators = {
            texto: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            width: [{ type: core.Input }],
            accion: [{ type: core.Output }]
        };
        return ButtonComponent;
    }());
    if (false) {
        /** @type {?} */
        ButtonComponent.prototype.texto;
        /** @type {?} */
        ButtonComponent.prototype.icon;
        /** @type {?} */
        ButtonComponent.prototype.disabled;
        /** @type {?} */
        ButtonComponent.prototype.width;
        /** @type {?} */
        ButtonComponent.prototype.loading;
        /** @type {?} */
        ButtonComponent.prototype.accion;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/button.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonModule = /** @class */ (function () {
        function ButtonModule() {
        }
        ButtonModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [ButtonComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [ButtonComponent]
                    },] }
        ];
        return ButtonModule;
    }());

    exports.ButtonComponent = ButtonComponent;
    exports.ButtonModule = ButtonModule;
    exports.ButtonService = ButtonService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ga-to-button.umd.js.map
